FROM openshift/golang-builder:1.10 AS builder
ENV SOURCE_GIT_COMMIT=bc12489f6e644646b3183e130b1947bd559ce33d SOURCE_DATE_EPOCH=1562087662 BUILD_VERSION=v4.1.7 SOURCE_GIT_URL=https://github.com/openshift/cluster-storage-operator SOURCE_GIT_TAG=bc12489 BUILD_RELEASE=201907171753
WORKDIR /go/src/github.com/openshift/cluster-storage-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.1.7.20190717.175347
ENV SOURCE_GIT_COMMIT=bc12489f6e644646b3183e130b1947bd559ce33d SOURCE_DATE_EPOCH=1562087662 BUILD_VERSION=v4.1.7 SOURCE_GIT_URL=https://github.com/openshift/cluster-storage-operator SOURCE_GIT_TAG=bc12489 BUILD_RELEASE=201907171753
COPY --from=builder /go/src/github.com/openshift/cluster-storage-operator/manager /usr/bin/cluster-storage-operator
COPY manifests /manifests
RUN useradd cluster-storage-operator
USER cluster-storage-operator
ENTRYPOINT ["/usr/bin/cluster-storage-operator"]

LABEL \
        io.k8s.description="This is a component of OpenShift Container Platform and manages the lifecycle of cluster storage components." \
        com.redhat.component="ose-cluster-storage-operator-container" \
        maintainer="Matthew Wong <mawong@redhat.com>" \
        name="openshift/ose-cluster-storage-operator" \
        io.k8s.display-name="OpenShift Cluster Storage Operator" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-storage-operator" \
        io.openshift.release.operator="true" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-storage-operator/commit/bc12489f6e644646b3183e130b1947bd559ce33d" \
        version="v4.1.7" \
        io.openshift.build.commit.id="bc12489f6e644646b3183e130b1947bd559ce33d" \
        release="201907171753"

